Kerbal Space Program - Bug #10104

Fast orbital decay around Mun - possibly related to bug 9616
07/11/2016 02:30 AM - kujirasan
Severity: Normal % Done: 100%
Assignee:
Target version: 1.2.0
Description

This may be related to bug# 9616, as i see that a steady stream of people have been saying that it's not fixed though it's marked as
resolved. This is still happening, and is not fixed in 1.1.3.1289. | haven't played in at least 9 months and came back to find that i
can't orbit Mun without my AP and PE dropping rapidly together - no RCS, engines off, and all controls off. It seems to vary from one
burn to the next how extreme the decay is. I've also once seen AP and PE INCREASE steadily after a burn, albeit slowly (around 1m
every couple seconds. There's no way to have multiple missions going on at once anymore since you have to station keep almost
constantly, and you waste fuel / Delta V just to try and maintain a basic orbit. I'm not sure if it was a fluke, but one time i took it out to
about 200k from the Mun in a circular orbit, and it seemed to have no issues at all.

This is a pretty game-breaking deal.

I'm using 64 bit mode if that helps any.

History

#1 - 07/11/2016 02:31 AM - Kujirasan
sorry, i meant that it could be related to bug # 9619

#2-07/11/2016 11:16 AM - Crusoe

Could be related to my topic too

#10087

check out my video in it if you wish... if u got same problem

#3 - 07/17/2016 11:23 AM - TriggerAu
- Status changed from New to Updated
- % Done changed from 0 to 10

Setting updated for confirmation during cleanup

#4 - 07/17/2016 08:40 PM - Ser
- Status changed from Updated to Confirmed

| can confirm that.

Seems like lowest orbits are affected most. Lost 2 satellites trying to complete a contract below 8000m. | haven't even notice how peri dropped to
6700m (must have left my satellite unattended for some time on 1x) and it ran into a mountain.

The opposite apside is most likely to be affected: if you're at peri, your apo drops and vice versa.

Timewarp eliminates all decay completely and orbit becomes incedibly stable until return to 1x time.

#5 - 07/18/2016 03:51 AM - TriggerAu
Thanks for the update Ser

#6 - 07/24/2016 12:58 AM - stormdot5

- File orbit variation.sfs added
https://bugs.kerbalspaceprogram.com/issues/10087

| was also experiencing orbit changes around the Mun. To eliminate phantom forces from clipping, or mods | placed a craft in orbit in a stock install.

Here is the save file:

https://www.dropbox.com/s/uxu91r3nl4d8rko/orbit%20variation.sfs?dI=0

The first craft is a tiny/simple ship called Wobble and varies slowly by about a meter per minute, on the far side of the orbit. Acceptable variation.

To compare | placed a craft called Hammer with a root part as the 6 way adapter at the bottom, and the mass and pod near the top, 10 girders away.
This this craft varies 30 meters either way, possibly due to wobble, but picks up a steady permanent variation in it's orbit. This kind of variation makes
it unplayable when trying to arrange rendezvous etc. The effect is more pronounced if SAS is on, or set to hold a one of the set orientations.

| think the variation is there with both craft but is just more pronounced on the larger more wobbly one.

#7 - 07/28/2016 09:08 PM - sal_vager
- Severity changed from High to Normal

Good catch but it wouldn't be rated High according to the wiki

How Priority Helps

Priorities help us to figure out which issues need inspecting, reviewing and fixing first and foremost. Thus, the priority assigned to an issue needs to
be as objective as possible; not a result of how much it affected your mission or current gameplay goals, but how much it affected the game itself. If
youre unsure the following table should assist you in deciding what priority to assign an issue.

Priority TablePriority Table
Priority Description Example Case
Critical A large portion of the game is unplayable. SPH is non-functional.
Game Breaking Game crashes when transitioning Sol
Normal Game Affecting, but not Game Breaking. SAS is draining electricCharge incorrectly.
Low Visual issue that occurs often, or Gameplay Landing Strip has texture artifacts.
issue that can be avoided.
Very Low A visual issue that appears rarely and Audio-related error appears in log on occasion.
doesnallllt affect gameplay.
Unworthy An issue that is slightly bothersome, occurs Collision mesh of some parts are slightly off.
rarely, is not easily discovered, or is a matter of
preference.

#9 - 10/13/2016 12:24 PM - Squelch
- Status changed from Confirmed to Ready to Test
- Target version set to 1.2.0

- % Done changed from 10 to 80

this was addressed and fixed for KSP 1.2

#10 - 11/18/2016 08:11 PM - JPLRepo
- Status changed from Ready to Test to Closed
- % Done changed from 80 to 100

Closing. No response.

Files

orbit variation.sfs 277 KB
